2017-11-24 09:10 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002757OpenFOAM[All Projects] Bugpublic2017-11-14 20:53
Reporterfede 
Assigned Tohenry 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSLinux DebianOS VersionStretch
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002757: hotBoxes tutorial in OpenFOAM-dev
DescriptionThe hotBoxes tutorial does not work in parallel, if the script "Allrun-parallel" is used. The tutorial case works in serial.

Please find attached the script "Allrun-parallel", with the working sequence of the commands.

Federico
Steps To Reproducecd $FOAM_TUTORIALS/lagrangian/reactingParcelFoam/hotBoxes

./Allrun.parallel
TagsNo tags attached.
Attached Files
  • ? file icon Allrun-parallel (440 bytes) 2017-11-13 16:46 -
    #!/bin/sh
    cd ${0%/*} || exit 1    # Run from this directory
    
    # Source tutorial run functions
    . $WM_PROJECT_DIR/bin/tools/RunFunctions
    
    ./Allrun.pre
    
    application=`getApplication`
    
    runApplication -s primaryRegion  decomposePar
    runApplication -s wallFilmRegion decomposePar -region wallFilmRegion
    
    runParallel $application
    
    runApplication -s primaryRegion  reconstructPar
    runApplication -s wallFilmRegion reconstructPar -region wallFilmRegion
    
    ? file icon Allrun-parallel (440 bytes) 2017-11-13 16:46 +

-Relationships
+Relationships

-Notes

~0009036

henry (manager)

Thanks Federico

Resolved by commit 94666e5a95789b8c4a6bcde28bd9f262dd5ee3bc
+Notes

-Issue History
Date Modified Username Field Change
2017-11-13 16:46 fede New Issue
2017-11-13 16:46 fede File Added: Allrun-parallel
2017-11-14 20:53 henry Assigned To => henry
2017-11-14 20:53 henry Status new => resolved
2017-11-14 20:53 henry Resolution open => fixed
2017-11-14 20:53 henry Fixed in Version => dev
2017-11-14 20:53 henry Note Added: 0009036
+Issue History